#! /usr/bin/perl

# Sample program to create a secrets.db from stdin.
# username:secret
#
# $Id: makesecrets.pl,v 1.1 2001/04/09 12:16:38 ianf Exp $

use DB_File;
use Fcntl;

$secretfile = "secrets.db";

#unlink($secretfile);
tie (%secrets, "DB_File", $secretfile, O_RDWR|O_CREAT);

while (<>) {
	chomp;
	($name, $secret) = split(/:/);
	$secrets{$name} = $secret;
}

#uncomment to get a list of users and their passwords.
#foreach $user (keys %secrets) {
#	print "$user $secrets{$user}\n";
#}

untie(%secrets);

